/**
 * Copyright © 2012-2022 by Data Virtuality GmbH
 */
package org.teiid.adminapi.impl;

/**
 * @author Archil Gabeskiria
 * @date 2022.08.09
 */
public class OpenIDMetadata {
    private String tokenEndpoint;
    private String introspectionEndpoint;
    private String userInfoEndpoint;
    private String accessToken;
    private String jwksEndpoint;
    private String refreshToken;
    private long tokenExpirationTime;
    private String clientId;
    private String clientSecret;
    private boolean useDvRoles;
    private String provider;
    private String serverUrl;
    private String realm;

    public String getTokenEndpoint() {
        return tokenEndpoint;
    }

    public void setTokenEndpoint(String tokenEndpoint) {
        this.tokenEndpoint = tokenEndpoint;
    }

    public String getIntrospectionEndpoint() {
        return introspectionEndpoint;
    }

    public void setIntrospectionEndpoint(String introspectionEndpoint) {
        this.introspectionEndpoint = introspectionEndpoint;
    }

    public String getUserInfoEndpoint() {
        return userInfoEndpoint;
    }

    public void setUserInfoEndpoint(String userInfoEndpoint) {
        this.userInfoEndpoint = userInfoEndpoint;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getJwksEndpoint() {
        return jwksEndpoint;
    }

    public void setJwksEndpoint(String jwksEndpoint) {
        this.jwksEndpoint = jwksEndpoint;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public long getTokenExpirationTime() {
        return tokenExpirationTime;
    }

    public void setTokenExpirationTime(long tokenExpirationTime) {
        this.tokenExpirationTime = tokenExpirationTime;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public boolean isUseDvRoles() {
        return useDvRoles;
    }

    public void setUseDvRoles(boolean useDvRoles) {
        this.useDvRoles = useDvRoles;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getServerUrl() {
        return serverUrl;
    }

    public void setServerUrl(String serverUrl) {
        this.serverUrl = serverUrl;
    }

    public String getRealm() {
        return realm;
    }

    public void setRealm(String realm) {
        this.realm = realm;
    }

    public OpenIDMetadata copyTo(OpenIDMetadata openIDMetadata) {
        openIDMetadata.setTokenEndpoint(tokenEndpoint);
        openIDMetadata.setIntrospectionEndpoint(introspectionEndpoint);
        openIDMetadata.setUserInfoEndpoint(userInfoEndpoint);
        openIDMetadata.setAccessToken(accessToken);
        openIDMetadata.setJwksEndpoint(jwksEndpoint);
        openIDMetadata.setRefreshToken(refreshToken);
        openIDMetadata.setTokenExpirationTime(tokenExpirationTime);
        openIDMetadata.setClientId(clientId);
        openIDMetadata.setClientSecret(clientSecret);
        openIDMetadata.setUseDvRoles(useDvRoles);
        openIDMetadata.setProvider(provider);
        openIDMetadata.setServerUrl(serverUrl);
        openIDMetadata.setRealm(realm);
        return openIDMetadata;
    }
}