/*
 * JBoss, Home of Professional Open Source.
 * See the COPYRIGHT.txt file distributed with this work for information
 * regarding copyright ownership.  Some portions may be licensed
 * to Red Hat, Inc. under one or more contributor license agreements.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
/*
 * EXTENSION
 * ISSUE: DV-84,DVCORE-968,DVCORE-980,DVCORE-1121,DVCORE-1115,DVCORE-591,DVCORE-2440,DVCORE-2441,DVCORE-2631,DVCORE-2702,DVCORE-2926, DVCORE-2813
 * FIXED BY: Roman Pedchenko, Salvatore Raunich
 * DATE: 2013.10.15,2013.11.24,2014.02.05,2014.02.08,2014.03.31,2014.09.12,2014.10.16,2014.10.20,2015.02.05,2015.03.02,2015.06.10,2015.06.16
 * ADOPTED FROM: TEIID-2176, TEIID-2177, TEIID-2111
 * END EXTENSION
 */
// https://issues.jboss.org/browse/TEIID-2619
// https://issues.jboss.org/browse/TEIID-4130
// https://issues.jboss.org/browse/TEIID-4076
// https://issues.jboss.org/browse/TEIID-5462
// https://issues.jboss.org/browse/TEIID-2559
// https://issues.jboss.org/browse/TEIID-3630
package org.teiid.translator;

import static org.junit.Assert.*;

import java.lang.reflect.Method;

import org.junit.Ignore;
import org.junit.Test;

public class TestBaseDelegatingExecutionFactory {

	// as we all the time add methods to the ExecutionFactory class and usually forget about this test
	// we better switch it off
	@Ignore @Test public void testMethodOverrides() {
		Method[] methods = ExecutionFactory.class.getDeclaredMethods();
		Method[] proxyMethods = BaseDelegatingExecutionFactory.class.getDeclaredMethods();
		//excluding the setter methods the counts should be equal
		assertEquals(methods.length - 15, proxyMethods.length);
	}
	
}
