/*
 * Copyright © 2023 by Data Virtuality GmbH
 */
package org.teiid.resource.adapter.ws;

import org.apache.http.client.methods.HttpEntityEnclosingRequestBase;
import org.apache.http.entity.InputStreamEntity;

import java.net.URI;

public class HttpMethodWithEntity extends HttpEntityEnclosingRequestBase {
    private final String method;

    public HttpMethodWithEntity(String method, String uri, InputStreamEntity entity) {
        this.method = method;
        this.setURI(URI.create(uri));
        this.setEntity(entity);
    }

    public String getMethod() {
        return method;
    }
}
