/*
 * JBoss, Home of Professional Open Source.
 * See the COPYRIGHT.txt file distributed with this work for information
 * regarding copyright ownership.  Some portions may be licensed
 * to Red Hat, Inc. under one or more contributor license agreements.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
package org.teiid.translator.ldap;

import java.util.ResourceBundle;

import org.teiid.core.BundleUtil;


/**
 * LDAPPlugin
 */
public class LDAPPlugin { 

    public static final String PLUGIN_ID = LDAPPlugin.class.getPackage().getName();

    /**
     * Provides access to the plugin's log and to it's resources.
     */
    public static final BundleUtil Util = new BundleUtil(PLUGIN_ID, PLUGIN_ID + ".i18n", ResourceBundle.getBundle(PLUGIN_ID + ".i18n")); //$NON-NLS-1$ //$NON-NLS-2$

    public static enum Event implements BundleUtil.Event {
// EXTENSION
// ISSUE: DVCORE-2440
// FIXED BY: Roman Pedchenko
// DATE: 2014.10.18
// ADOPTED FROM: https://issues.jboss.org/browse/TEIID-2176,https://issues.jboss.org/browse/TEIID-2177
//     	TEIID12001, // unsupported capability
// END EXTENSION
    	TEIID12002, // search failed
    	TEIID12003, // close context
    	TEIID12004, // attribute fetch error
    	// EXTENSION
    	// ISSUE: DVCORE-2440
    	// FIXED BY: Roman Pedchenko
    	// DATE: 2014.10.18
    	// ADOPTED FROM: https://issues.jboss.org/browse/TEIID-2176,https://issues.jboss.org/browse/TEIID-2177
    	// TEIID12005,
    	// TEIID12006,
    	// TEIID12007,
    	// TEIID12008
    	TEIID12008,
    	TEIID12009,
    	TEIID12010,
    	TEIID12011,
    	TEIID12012, 
    	TEIID12013,
    	// END EXTENSION
    	TEIID12014,
    }
}
