/*
 * JBoss, Home of Professional Open Source.
 * See the COPYRIGHT.txt file distributed with this work for information
 * regarding copyright ownership.  Some portions may be licensed
 * to Red Hat, Inc. under one or more contributor license agreements.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
// https://issues.redhat.com/browse/TEIID-3663
package org.teiid.security;

import javax.security.auth.Subject;
import javax.security.auth.login.LoginException;

public interface  SecurityHelper {
    Object associateSecurityContext(Object context);
	
	void clearSecurityContext();
	
	Object getSecurityContext();

	/**
	 * Get the subject associated with the security context.
	 * The security context must currently be associated with the thread.
	 * @param securityDomain
	 * @return
	 */
	Subject getSubjectInContext(String securityDomain);

	/**
	 * Get the subject associated with the security context.
	 * @param context
	 * @return
	 */
	Subject getSubjectInContext(Object context);

	boolean sameSubject(String securityDomain, Object context, Subject subject);

    Object authenticate(String securityDomain, String userName, Credentials credentials, String applicationName)
            throws LoginException;

    GSSResult neogitiateGssLogin(String securityDomain, byte[] serviceTicket) throws LoginException;
}
